爱快在PVE下不定时反复重启死机的解决方法

太长不看版本:

爱快3.6.X在PVE乃至于ESXI下都存在一定的兼容问题

官网下载3.6.X安装后进入系统设置-升级备份-版本升级,使用爱快3.4.9bin升降级包,下载其中的bin升降级包,将爱快降级到3.4.9!

详细情况:

如题,使用爱快版本为3.6.3x64 Build20220407113364,底层虚拟化环境为PVE7.1,硬件为Intel N3150+4Gx2近一个月以来一直使用的是32位版本,对一台网心云机器进行流控,但是经常发现会在半夜11时到凌晨6时之间莫名自动重启;有时十几天发生一次,频繁的时候则一天一次;考虑到可能是X32版本有未知bug,因此近期重装为X64版本,结果当天凌晨5点就发生了自动重启。现已排除CPU过热,Virtio不兼容,虚拟化环境权重不够导致重启的几种可能,走投无路在爱快平台发贴求助,官方回应如下图:

同时下面多个用户表示这是爱快3.6.X的通病,“经多个群友实测 3.6.x 所有版本在kvm下均复现有重启现象,并且宿主kernel包括了5.13/5.15/5.17 所有最新版本。”“ikuai 3.6.x在kvm下兼容性很差。无解。已经有一堆童鞋反馈在kvm下频繁重启。”(原帖链接地址为https://bbs.ikuai8.com/thread-130577-1-1.html)。爱快官方对于虚拟机部署兼容性问题似乎比较不上心,涉及虚拟机基本一律回复“虚拟化环境比较复杂”。

20220503更新

回退到3.4.9版本后已稳定运行5天,期间没有再出现重启现象,进一步印证为3.6.X核心与PVE的KVM兼容性问题。

但同时GVN数据中心即为采用3.6.X核心的爱快部署于PVE上,一直稳定运行,平台为双路皓龙。

猜测可能与CPU是否支持VT-D指令有关,因为常用的J1900与N3150对于虚拟化指令集支持不全,仅支持VT-X,不支持VT-D;而稳定运行的平台双路皓龙原生对虚拟化支持良好。

 20220628更新

底层环境换成ESXI,即使是最新的爱快3.6.5版本也会出现假死、不定时重启等问题,仍然建议使用3.4.9版本

 20220723更新

爱快3.6.5 x64 Build202206011520在ESXI下终于能够解决假死与不定时重启问题,请注意在配置虚拟机时的CPU选项中务必勾选

硬件虚拟化,IOMMU,性能计数器!!!

 

 

 

 

 

转载请联系本人并注明出处

本文仅发布于博客园,如在其他网站看到,皆为洗稿抄袭,特此声明

洗稿网站黑名单:

https://www.yht7.com/       云海天教程网       未经许可擅自抹掉作者转载,经交涉已删除

http://www.icodebang.com/    爱码邦          未经许可擅自抹掉作者转载,经交涉已删除

http://www.manongjc.com/     码农教程         未经许可擅自转载,无联系方式,系恶意洗稿

https://itcn.blog/            IT-Blog                      未经许可擅自抹掉作者转载,无联系方式,系恶意洗稿

https://programminghunter.com/    编程猎人         未经许可擅自抹掉作者转载,正在交涉

https://www.1024sou.com/     1024搜                      未经许可擅自抹掉作者转载,无联系方式,系恶意洗稿

posted @ 2022-04-28 09:41  FusionHEX_M  阅读(8232)  评论(5编辑  收藏  举报